# $Revision: 1.14 $, $Date: 2002/11/10 22:58:54 $
Summary:	Excelent tool to making visualization of data
Summary(pl):	Doskonae narzdzie do wizualizacji danych
Name:		dx
Version:	4.2.0
Release:	1
License:	IPL
Group:		Applications
Source0:	http://opendx.npaci.edu/source/%{name}-%{version}.tar.gz
Source1:	http://opendx.npaci.edu/source/%{name}samples-%{version}.tar.gz
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-ac_fix.patch
URL:		http://www.opendx.org/
BuildRequires:	ImageMagick-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _prefix         /usr/X11R6
%define         _mandir         %{_prefix}/man

%description
OpenDX is a uniquely powerful, full-featured software package for the
visualization of scientific, engineering and analytical data: Its open
system design is built on a standard interface environments. And its
sophisticated data model provides users with great flexibility in
creating visualizations.

%description -l pl
OpenDX jest w peni funkcjonalnym, o unikalnych moliwociach,
pakietem do wizualizacji danych naukowych, inynierskich i
analitycznych. Zosta zaprojektowany w sposb otwarty, w oparciu o
standardowe rodowiska interfejstw. Jego przemylany model danych
daje uytkownikom du elastyczno w tworzeniu wizualizacji.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing aclocal.m4
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--prefix=%{_prefix} \
	--datadir=%{_datadir} \
	--mandir=%{_mandir} \
	--without-javadx

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

ln -sf %{_bindir} $RPM_BUILD_ROOT%{_datadir}/dx/bin
ln -sf %{_bindir} $RPM_BUILD_ROOT%{_datadir}/dx/bin_linux

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_includedir}/*
%{_libdir}/*
%dir %{_datadir}/dx
%{_datadir}/dx/bin
%{_datadir}/dx/bin_linux
%{_datadir}/dx/fonts
%{_datadir}/dx/help
%{_datadir}/dx/ui
%doc %{_datadir}/doc/dx/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: dx.spec,v $
Revision 1.14  2002/11/10 22:58:54  mmazur
- builds... needs polishing though

Revision 1.13  2002/10/09 13:14:20  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.12  2002/10/08 14:55:56  qboosh
- BR: autoconf,automake; moved making links from post to install

Revision 1.11  2002/07/16 22:48:22  dobrek
- Many thinks done. Almoust finished
- Needs a fresh look.
- Dirty hack with links is neccessary due to the
  comliicity of sources and a way it was design.
- For me it works. And is really cool.

Revision 1.10  2002/04/25 16:14:02  arturs
fixed a small typo

Revision 1.9  2002/02/23 01:58:09  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:12:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/12 10:40:16  qboosh
- adapterized, pl description, fixes in %%files

Revision 1.5  2001/07/26 18:55:19  blues
- 4.1.3
- some work to make it working... but unsuccesfull (I've got terrible day)

Revision 1.4  2001/07/26 03:20:39  agaran
set group to aplications, removed empty %pre/post sections
needs some work.. maybe somebody who uses that could look at that?

Revision 1.3  2001/07/23 18:29:10  wiget
added acfix.patch

Revision 1.2  2000/12/06 02:38:52  agaran
Just passed trough adapter
